Bug 251989 - RFE: Low-level enterprise messaging utility missing
RFE: Low-level enterprise messaging utility missing
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: util-linux (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-08-13 14:31 EDT by John T. Rose
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-15 18:05:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John T. Rose 2007-08-13 14:31:57 EDT
Description of problem:

While I appreciate that util-linux includes ddate there is a gaping hole in RHEL
support for low-level enterprise messaging support.

Version-Release number of selected component (if applicable):

How reproducible:

Always until I go to the trouble to install this myself.

Steps to Reproduce:
1. install RHEL (any version will do)
2. update system completely
3. try to run low-level enterprise messaging utility
Actual results:

$ cowsay -d exchange server just fell over again
-bash: cowsay: No such file or directory

Expected results:

$ cowsay -d exchange server just fell over again
< exchange server just fell over again >
        \   ^__^
         \  (xx)\_______
            (__)\       )\/\
             U  ||----w |
                ||     ||

Additional info:

While I think the usefulness of this is should be obvious to all enterprise
users I can provide further examples of enterprise use cases if that is desired.

Please consider including cowsay in future releases of util-linux.
Comment 1 wes hayutin 2007-08-15 15:01:09 EDT
This is great +1 on getting it included. 
Comment 2 Jon Stanley 2007-08-15 16:07:20 EDT
Add another vote for this one!
Comment 3 Jenny Bramble 2007-08-15 16:14:24 EDT

I can easily see from the original poster's example that this is indeed a vital
utility that no admin should be without.
Comment 4 Karel Zak 2007-08-15 18:05:19 EDT
The cowsay depends on Perl ... no way to include dependence on Perl to basic
system package (e.g. util-linux).

Please, ask http://www.redhat.com/apps/support/ if you still insist on the cowsay.

BTW, we have wall(1), write(1), printf(1) and echo(1)...
Comment 5 John T. Rose 2007-08-15 19:23:48 EDT
Ok, fair point on the dependency on Perl. However, I think you can see from this
example how utilities like wall are so much more effective when combined with

$ cowsay -f flaming-sheep Fire Alarm\! Leave building ASAP\! | wall

Broadcast message from rose (Wed Aug 15 18:04:43 2007):

< Fire Alarm! Leave building ASAP! >
  \            .    .     .   
   \      .  . .     `  ,     
    \    .; .  : .' :  :  : . 
     \   i..`: i` i.i.,i  i . 
      \   `,--.|i |i|ii|ii|i: 
                 ||    ||     

I'll try to get a separate package, thanks Karel.
Comment 6 Tomas Mraz 2007-08-16 04:51:37 EDT
Please reimplement cowsay in C so it can be included in util-linux. I am afraid
that sneaking standalone cowsay package into RHEL won't be as easy.
Comment 7 Jon Stanley 2007-08-18 15:01:33 EDT
See bug 252450 for a bug against distribution that it is not included as a
standalone package, and voice your support for that there.

Note You need to log in before you can comment on or make changes to this bug.